%define module	pylzma

Name:		python-%{module}
Version:	0.5.0
Release:	%mkrel 8
Summary:	Python bindings for the LZMA library by Igor Pavlov
License:	LGPLv2+
Group:		Development/Python
Url:		https://www.joachim-bauch.de/projects/pylzma/
Source0:	https://pypi.io/packages/source/p/%{module}/%{module}-%{version}.tar.gz
# use python3 syntax in test_usage.py
Patch0:		python-pylzma-test-python3.patch
# PATCH-FIX-UPSTREAM python-pylzma-gcc14.patch gh#fancycode/pylzma#81 glaubitz@suse.com
Patch1:		python-pylzma-gcc14.patch
BuildRequires:	pyproject-rpm-macros

%description
PyLZMA provides a platform independent way to read and write data that has
been compressed or can be decompressed by the LZMA library by Igor Pavlov.

#---------------------------------------------------

%package -n	python3-%{module}
Summary:	Python 3 bindings for the LZMA library by Igor Pavlov
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
PyLZMA provides a platform independent way to read and write data that has
been compressed or can be decompressed by the LZMA library by Igor Pavlov.

This is the Python 3 build of %{module}.

#---------------------------------------------------

%prep
%autosetup -p1 -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{module} py7zlib

%files -n python3-%{module} -f %{pyproject_files}
%doc README.md doc/*


%changelog
* Tue Oct 29 2024 daviddavid <daviddavid> 0.5.0-8.mga10
+ Revision: 2111663
- aad opensuse patch to fix build with GCC 14

* Thu Dec 14 2023 daviddavid <daviddavid> 0.5.0-7.mga10
+ Revision: 2017968
- rebuild for py3.12
- switch to pyproject

* Fri Mar 18 2022 umeabot <umeabot> 0.5.0-6.mga9
+ Revision: 1799120
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 0.5.0-5.mga9
+ Revision: 1775515
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 0.5.0-4.mga9
+ Revision: 1707351
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.5.0-3.mga8
+ Revision: 1532079
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 0.5.0-2.mga8
+ Revision: 1441444
- rebuild for python3.8
- drop python2 support

* Fri Mar 01 2019 daviddavid <daviddavid> 0.5.0-1.mga7
+ Revision: 1370957
- new version: 0.5.0

* Wed Jan 09 2019 daviddavid <daviddavid> 0.4.9-3.mga7
+ Revision: 1353102
- rebuild for new Python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.4.9-2.mga7
+ Revision: 1300569
- Mageia 7 Mass Rebuild

* Wed Jan 10 2018 daviddavid <daviddavid> 0.4.9-1.mga7
+ Revision: 1192034
- new version: 0.4.9
- rename python-pylzma to python2-pylzma

* Fri Aug 04 2017 daviddavid <daviddavid> 0.4.8-2.mga7
+ Revision: 1134762
- rebuild for Python 3.6

* Wed Jan 20 2016 daviddavid <daviddavid> 0.4.8-1.mga6
+ Revision: 926137
- imported package python-pylzma

